## net.sourceforge.pmd.dfa.pathfinder
Class PathElement

    java.lang.Object
      net.sourceforge.pmd.dfa.pathfinder.PathElement

public class PathElement
extends java.lang.Object

Field Summary
`int` `currentChild`
`IDataFlowNode` `node`
`IDataFlowNode` `pseudoRef`

Constructor Summary
`(package private)` `PathElement(IDataFlowNode node)`
`(package private)` `PathElement(IDataFlowNode node, IDataFlowNode ref)`

Method Summary
`boolean` `isPseudoPathElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentChild

    public int currentChild

### node

    public IDataFlowNode node

### pseudoRef

    public IDataFlowNode pseudoRef

Constructor Detail

### PathElement

    PathElement(IDataFlowNode node)

### PathElement

    PathElement(IDataFlowNode node,
                IDataFlowNode ref)

Method Detail

### isPseudoPathElement

    public boolean isPseudoPathElement()

Copyright © 2002-2006 InfoEther. All Rights Reserved.